# MedLab使用文档

## 说明

__MedLab__ 目前支持医学图像分类、分割任务
__注__: monai部分接口仅支持Linux系统

## 安装

1. 创建conda虚拟环境

```shell
conda create -n medlab python=3.8 -y
conda activate medlab
```

2. pip install

```shell
pip install medlab
```

3. 安装依赖

```shell
med-init-env
```
4. 在工作目录下初始化配置文件

```shell
med-init-config
```
## 使用MedLab

* ### [分类任务示例](docs/zh_cn/classification_tutorials.md)
* ### [分割任务示例](docs/zh_cn/segmentation_tutorials.md)

## 资料

* [MONAI数据增强](https://docs.monai.io/en/stable/transforms.html#dictionary-transforms)
* [MMEngine配置文件](https://mmengine.readthedocs.io/zh_CN/latest/advanced_tutorials/config.html)
* [MMEngine注册器](https://mmengine.readthedocs.io/zh_CN/latest/advanced_tutorials/registry.html)
* [PyTorch Lightning](https://lightning.ai/docs/pytorch/latest/starter/introduction.html)
